Page MenuHomePhabricator

In Serbian layout letters Ш, Ђ, Ч, Ћ, Ж are missing
Closed, ResolvedPublic

Description

Corect example, also when i type letter Z on keybord i should get cyrillic З but i got S

Event Timeline

Milicevic01 raised the priority of this task from to Needs Triage.
Milicevic01 updated the task description. (Show Details)
Milicevic01 added a subscriber: Milicevic01.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 16 2015, 2:49 PM
Milicevic01 renamed this task from In Serbian keybord letters Ш, Ђ, Ч, Ћ, Ж are missing to In Serbian layout letters Ш, Ђ, Ч, Ћ, Ж are missing.Oct 25 2015, 5:23 PM
Milicevic01 set Security to None.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 11 2015, 7:46 PM

I have checked all letters on Serbian keyboard and all letters work correctly for Serbian standard keyboard, except letter ж, so I provided a fix for that. Capital letter Ж was working as expected.

@Milicevic01 says in the description: "when i type letter Z on keybord i should get cyrillic З, but i got S".
That's also expected. Serbian keyboard differs from English keyboard and letters Z and Y switch places. You probably have (or had at the time of writing this) English keyboard, and think that by pressing Z you would actually get Z, but you get Y. When typing in Cyrillic, pressing Z on English keyboard gives S and pressing Y gives З.

Change 435777 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/UniversalLanguageSelector@master] Update jquery.ime from upstream

https://gerrit.wikimedia.org/r/435777

Change 435777 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Update jquery.ime from upstream

https://gerrit.wikimedia.org/r/435777

Petar.petkovic closed this task as Resolved.May 29 2018, 6:58 AM
Petar.petkovic claimed this task.
Petar.petkovic removed a project: Patch-For-Review.